Subject: Re: problems in linux-next (Was: Re: linux-next: Tree for December 1)

From: Ingo Molnar <[email-masked]>
Date: Tue, 1 Dec 2009 17:01:19 +0100

* Christoph Lameter <[email-masked]> wrote:

> On Tue, 1 Dec 2009, Tejun Heo wrote:
> 
> > The problem is that on UP configurations.  Percpu memory allocator 
> > becomes a simple wrapper around kmalloc and there's no way to 
> > specify larger alignment when requesting memory from kmalloc.
> 
> There is usually no point in aligning in UP. Alignment is typically 
> done for smp configurations to limit cache line bouncing and control 
> cache line use/

There is a natural minimum alignment for UP and it's smaller than the 
cache-line size: machine word size. All our allocators (except bootmem) 
align to machine word so there's no need to specify this explicitly.

Larger alignment than that just wastes memory - which waste UP systems 
can afford the least.

	Ingo